Create H265/HEVC Codec Configuration

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The H265/HEVC Codec Configuration to be created

string
required

Name of the resource. Can be freely chosen by the user.

string

Description of the resource. Can be freely chosen by the user.

string

User-specific meta data. This can hold anything.

integer

Width of the encoded video in pixels

integer

Height of the encoded video in pixels

int64

Target bitrate for the encoded video in bps. Either bitrate or crf is required.

double

Target frame rate of the encoded video. Must be set for live encodings

string
enum
Defaults to YUV420P

The pixel format to be set

colorConfig
object
integer

The numerator of the sample aspect ratio (also known as pixel aspect ratio). Must be set if sampleAspectRatioDenominator is set. If set then displayAspectRatio is not allowed.

integer

The denominator of the sample aspect ratio (also known as pixel aspect ratio). Must be set if sampleAspectRatioNumerator is set. If set then displayAspectRatio is not allowed.

displayAspectRatio
object

Specifies a display aspect ratio (DAR) to be enforced. The sample aspect ratio (SAR) will be adjusted accordingly. If set then sampleAspectRatioNumerator and sampleAspectRatioDenominator are not allowed.

string
enum
Defaults to STANDARD

The mode of the encoding. When this is set, encodingMode (liveEncodingMode) must not be set in the (live) encoding start request.

Allowed:
string
enum
string
enum

Configures what kind of dynamic range the output should conform to. Can be used to convert from SDR to HDR, from HDR to SDR or between different HDR formats

Allowed:
double
0 to 51

Constant rate factor for quality-based variable bitrate. Either bitrate or crf is required.

string
enum
required
Allowed:
integer
0 to 16
Defaults to 4

Amount of b frames

integer
0 to 16
Defaults to 4

Amount of reference frames

integer
0 to 51

Quantization factor

int64

Maximum Bitrate (bps)

int64

Minimum Bitrate (bps)

int64

Size of the VBV buffer (bits)

integer

Minimum GOP length, the minimum distance between I-frames

integer

Maximum GOP length, the maximum distance between I-frames

boolean

Enable open-gop, allows referencing frames from a previous gop

double

Minimum interval in seconds between key frames

double

Maximum interval in seconds between key frames

string
enum

Specified set of constraints that indicate a degree of required decoder performance for a profile, see: https://en.wikipedia.org/wiki/High_Efficiency_Video_Coding_tiers_and_levels

integer
1 to 250
Defaults to 25

Number of frames for slice-type decision lookahead

string
enum
Defaults to FULL

Set the level of effort in determining B frame placement

Allowed:
string
enum
Defaults to 64

Set the maximal CTU (Coding Tree Unit) size

Allowed:
string
enum
Defaults to D1

Extra recursion depth for inter coded units

Allowed:
string
enum
Defaults to D1

Extra recursion depth for intra coded units

Allowed:
string
enum
Defaults to HEX

Set the Motion search method

Allowed:
integer
0 to 7
Defaults to 3

Set the amount of subpel refinement to perform.

integer
0 to 32768
Defaults to 57

Set the Motion search range.

boolean
Defaults to true

Enable weighted prediction in P slices

boolean
Defaults to false

Enable weighted prediction in B slices

boolean
Defaults to true

Toggle sample adaptive offset loop filter

string

Set the mastering display color volume SEI info (SMPTE ST 2086). For example G(13250,34500)B(7500,3000)R(34000,16000)WP(15635,16450)L(10000000,1) describes a P3D65 1000-nits monitor, where G(x=0.265, y=0.690), B(x=0.150, y=0.060), R(x=0.680, y=0.320), WP(x=0.3127, y=0.3290), L(max=1000, min=0.0001). Part of HDR-10 metadata. If used on a Dolby Vision stream, this value must be set to G(13250,34500)B(7500,3000)R(34000,16000)WP(15635,16450)L(10000000,1).

integer

Set the max content light level (MaxCLL). Use together with maxPictureAverageLightLevel (which will be 0 if not set). Part of HDR-10 metadata.

integer

Set the maximum picture average light level (MaxFALL). Use together with maxContentLightLevel (which will be 0 if not set). Part of HDR-10 metadata.

boolean

Force signaling of HDR parameters in SEI packets. Enabled automatically when masterDisplay or maxContentLightLevel/maxPictureAverageLightLevel are set. Useful when there is a desire to signal 0 values for maxContentLightLevel and maxPictureAverageLightLevel.

integer
≥ 0

Scene Change sensitivity. The higher the value, the more likely an I-Frame will be inserted. Set to 0 to disable it.

string
enum
Defaults to VARIANCE
Allowed:
boolean
Defaults to false

Enable SDR compatible HLG signaling. The container and bitstream will indicate BT.2020 but ARIB STD-B67 will be signaled in the alternative transfer characteristics SEI message.

string
enum
Defaults to UNDEFINED
Allowed:
double
0 to 5

Psycho-visual rate-distortion retains fine details like film grain at the expense of more blocking artifacts. Higher values make the video appear sharper and more detailed but with a higher risk of blocking artifacts. Needs to have subMe with RD_IP, RD_ALL, RD_REF_IP, RD_REF_ALL, QPRD or FULL_RD

double
0 to 50

Strength of psycho-visual optimizations in quantization. Only has an effect in presets which use RDOQ (rd-levels 4 and 5). The value must be between 0 and 50, 1.0 is typical

boolean

Signal hypothetical reference decoder (HRD) information

boolean

Enables the use of lookahead’s lowres motion vector fields to determine the amount of reuse of each block to tune adaptive quantization factors.

string
enum
Defaults to MCU_8x8

Minimum CU size (width and height). By using 16 or 32 the encoder will not analyze the cost of CUs below that minimum threshold, saving considerable amounts of compute with a predictable increase in bitrate. This setting has a large effect on performance on the faster presets.

Allowed:
integer

Use multiple worker threads to measure the estimated cost of each frame within the lookahead. The higher this parameter, the less accurate the frame costs will be which will result in less accurate B-frame and scene-cut decisions. Valid range: 0 - 16

string
enum
Defaults to DEPTH_AND_CU
Allowed:
boolean

Enable analysis of rectangular motion partitions Nx2N and 2NxN.

boolean

Enable analysis of asymmetric motion partitions.

boolean

When enabled, will limit modes analyzed for each CU using cost metrics from the 4 sub-CUs. This can significantly improve performance when rectangularMotionPartitionsAnalysis and/or asymetricMotionPartitionsAnalysis are enabled at minimal compression efficiency loss.

integer

Maximum number of neighbor (spatial and temporal) candidate blocks that the encoder may consider for merging motion predictions. Valid range: 1 - 5

boolean

Measure 2Nx2N merge candidates first; if no residual is found, additional modes at that depth are not analysed.

boolean

If enabled exits early from CU depth recursion. When a skip CU is found, additional heuristics are used to decide whether to terminate recursion.

boolean

Enable faster search method for angular intra predictions.

boolean

Enables the evaluation of intra modes in B slices.

boolean

Hide sign bit of one coefficient per coding tree unit.

integer

Level of rate-distortion optimization in mode decision. The lower the value the faster the encode, the higher the value higher the compression efficiency. Valid range: 0 - 4

string
enum
Defaults to LEVELS_AND_CODING_GROUPS
Allowed:
integer
0 to 69

Minimum quantization factor. Valid value range: 0 - 69

integer
0 to 69

Maximum quantization factor. Valid value range: 0 - 69

boolean

The encoder may begin encoding a row as soon as the row above it is at least two CTUs ahead in the encode process. Default is enabled.

integer

Encode each incoming frame as multiple parallel slices that may be decoded independently. Default is 1.

boolean

Copy buffers of input picture in frame. Default is enabled.

boolean

If high tier is disabled the encoder will attempt to encode only at the main tier. Default is enabled.

boolean

Enable skipping split rate distortion analysis when sum of split CU RD cost larger than one split CU RD cost for intra CU. Default disabled.

boolean

If enabled, consider lossless mode in CU RDO decisions. Default is disabled.

string
enum
Defaults to NONE

Enable evaluation of transform skip (bypass DCT but still use quantization) coding for 4x4 TU coded blocks.

Allowed:
boolean

Enable QP based rate distortion refinement. Default is disabled.

string
enum
Defaults to DISABLED

Enables early exit from transform unit depth recursion, for inter coded blocks.

Allowed:
integer
0 to 2000

An integer value, which denotes strength of noise reduction in intra CUs. Default 0.

integer
0 to 2000

An integer value, which denotes strength of noise reduction in inter CUs. Default 0.

string
enum
Defaults to DISABLED

Penalty for 32x32 intra transfer units in non-I slices.

Allowed:
string
enum
Defaults to MTU_32x32
Allowed:
integer
0 to 4

Increases the RD level at points where quality drops due to VBV rate control enforcement. Default 0.

boolean

It is used for mode selection during analysis of CTUs and can achieve significant gain in terms of objective quality metrics SSIM and PSNR. Default false.

boolean

Enable temporal motion vector predictors in P and B slices. Default true.

boolean

Enable motion estimation with source frame pixels, in this mode, motion estimation can be computed independently. Default false.

boolean

Enable strong intra smoothing for 32x32 intra blocks. Default true.

boolean

When generating intra predictions for blocks in inter slices, only intra-coded reference pixels are used. Default false.

double
0 to 100

This value represents the percentage difference between the inter cost and intra cost of a frame used in scenecut detection. Default 5.0.

integer

Number of RADL pictures allowed infront of IDR. Requires fixed keyframe interval. Valid values 0 - bframes. Default 0.

integer

Number of frames for GOP boundary decision lookahead. Valid values 0 - rcLookahead. Default 0

integer
-90 to 100

Bias towards B frames in slicetype decision. The higher the bias the more likely the encoder is to use B frames. Default 0

string
enum
Defaults to DISABLED

Force the encoder to flush frames. Default is DISABLED.

Allowed:
double
0 to 3

Adjust the strength of the adaptive quantization offsets. Default 1.0.

boolean

Adjust the AQ offsets based on the relative motion of each block with respect to the motion of the frame. Default false.

string
enum

Enable adaptive quantization for sub-CTUs. This parameter specifies the minimum CU size at which QP can be adjusted.

Allowed:
boolean

Enables stricter conditions to control bitrate deviance from the target bitrate in ABR mode. Bit rate adherence is prioritised over quality. Default false.

integer
-12 to 12

Offset of Cb chroma QP from the luma QP selected by rate control. This is a general way to spend more or less bits on the chroma channel. Default 0

integer
-12 to 12

Offset of Cr chroma QP from the luma QP selected by rate control. This is a general way to spend more or less bits on the chroma channel. Default 0

double

QP ratio factor between I and P slices. This ratio is used in all of the rate control modes. Default 1.4

double

QP ratio factor between P and B slices. This ratio is used in all of the rate control modes. Default 1.3

double
0.5 to 1

Quantizer curve compression factor. It weights the frame quantizer based on the complexity of residual (measured by lookahead). Default 0.6

integer

The maximum single adjustment in QP allowed to rate control. Default 4

boolean

Enables a specialised ratecontrol algorithm for film grain content. Default false.

double

Temporally blur quants. Default 0.5

double

Temporally blur complexity. Default 20.0

boolean

Specify how to handle depencency between SAO and deblocking filter. When enabled, non-deblocked pixels are used for SAO analysis. When disabled, SAO analysis skips the right/bottom boundary areas. Default false.

boolean

Limit SAO filter computation by early terminating SAO process based on inter prediction mode, CTU spatial-domain correlations, and relations between luma and chroma. Default false.

boolean

Will use low-pass subband dct approximation instead of the standard dct for 16x16 and 32x32 blocks. Default false.

cea608708SubtitleConfig
object

Defines whether CEA 608/708 subtitles are extracted from the input video stream

string
enum
Defaults to ENABLED

Enable/disable automatic calculation of level, maxBitrate, and bufsize based on the least level that satisfies maximum property values for picture resolution, frame rate, and bit rate.

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json